eth_getBlockTransactionCountByNumber-polygon

Returns the number of transactions in a block matching the given block number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • QUANTITY|TAG - integer block number, or the string "latest", "earliest" or "pending", see the default block parameter.
curl https://polygon-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_getBlockTransactionCountByNumber",
    "params":[
       "latest"
    ]
}'

Returns

  • QUANTITY - integer of the number of transactions in this block.
{"jsonrpc":"2.0","id":1,"result":"0x2d"}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to net_version
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!